Loading...
Searching...
No Matches
Opm::Well::WellProductionProperties Class Reference

## Public Member Functions

bool | operator== (const WellProductionProperties &other) const
bool | operator!= (const WellProductionProperties &other) const
| WellProductionProperties (const UnitSystem &units, const std::string &name_arg)
bool | hasProductionControl (ProducerCMode controlModeArg) const
void | dropProductionControl (ProducerCMode controlModeArg)
void | addProductionControl (ProducerCMode controlModeArg)
void | handleWCONPROD (const std::optional< VFPProdTable::ALQ_TYPE > &alq_type, const int vfp_table_nr, const double bhp_def, const UnitSystem &unit_system, const std::string &well, const DeckRecord &record, const KeywordLocation &location)
| Handle WCONPROD keyword.
void | handleWCONHIST (const std::optional< VFPProdTable::ALQ_TYPE > &alq_type, const int vfp_table_nr, const double bhp_def, const UnitSystem &unit_system, const DeckRecord &record)
| Handle WCONHIST keyword.
void | handleWELTARG (WELTARGCMode cmode, const UDAValue &new_arg, double SiFactorP)
void | resetDefaultBHPLimit ()
void | clearControls ()
ProductionControls | controls (const SummaryState &st, double udq_default) const
bool | updateUDQActive (const UDQConfig &udq_config, UDQActive &active) const
bool | updateUDQActive (const UDQConfig &udq_config, const WELTARGCMode cmode, UDQActive &active) const
void | update_uda (const UDQConfig &udq_config, UDQActive &udq_active, UDAControl control, const UDAValue &value)
void | setBHPLimit (const double limit)
int | productionControls () const
void | handleWTMULT (Well::WELTARGCMode cmode, double factor)
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static WellProductionProperties | serializationTestObject ()
static bool | effectiveHistoryProductionControl (ProducerCMode cmode)

## Public Attributes

std::string | name
UDAValue | OilRate
UDAValue | WaterRate
UDAValue | GasRate
UDAValue | LiquidRate
UDAValue | ResVRate
UDAValue | BHPTarget
UDAValue | THPTarget
UDAValue | ALQValue
double | bhp_hist_limit = 0.0
double | thp_hist_limit = 0.0
bool | bhp_hist_limit_defaulted = true
double | BHPH = 0.0
double | THPH = 0.0
int | VFPTableNumber = 0
bool | predictionMode = false
ProducerCMode | controlMode = ProducerCMode::CMODE_UNDEFINED
ProducerCMode | whistctl_cmode = ProducerCMode::CMODE_UNDEFINED

## Member Function Documentation

## handleWCONHIST()

void Opm::Well::WellProductionProperties::handleWCONHIST | ( | const std::optional< VFPProdTable::ALQ_TYPE > & | alq_type,
|  | const int | vfp_table_nr,
|  | const double | bhp_def,
|  | const UnitSystem & | unit_system,
|  | const DeckRecord & | record )

Handle WCONHIST keyword.

Parameters

  alq_type | ALQ type
  vfp_table_nr | The vfp table number
  bhp_def | Default BHP limit in SI units
  unit_system | Unit system to use
  record | Deck record to use

## handleWCONPROD()

void Opm::Well::WellProductionProperties::handleWCONPROD | ( | const std::optional< VFPProdTable::ALQ_TYPE > & | alq_type,
|  | const int | vfp_table_nr,
|  | const double | bhp_def,
|  | const UnitSystem & | unit_system,
|  | const std::string & | well,
|  | const DeckRecord & | record,
|  | const KeywordLocation & | location )

Handle WCONPROD keyword.

Parameters

  alq_type | ALQ type
  vfp_table_nr | The vfp table number
  bhp_def | Default BHP target in SI units
  unit_system | Unit system to use
  well | Well name
  record | Deck record to use
  location | Location of keyword for logging purpose

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/Well/Well.hpp
- opm/input/eclipse/Schedule/Well/WellProductionProperties.cpp